#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::on_speak_btn_pressed()
{
    if(FAILED(CoInitialize(NULL)))
    {
        QMessageBox::critical(this, "Error", "CoInitialize failed!");
    }
    else
    {
        ISpVoice *pVoice = NULL;
        HRESULT hr = CoCreateInstance(CLSID_SpVoice,
                                      NULL,
                                      CLSCTX_ALL,
                                      IID_ISpVoice,
                                      (void **)&pVoice);

        if( SUCCEEDED( hr ) )
        {
            // Change pitch
            hr = pVoice->Speak(ui->reading_plain->toPlainText().toStdWString().c_str(),
                               SPF_IS_XML,
                               NULL );

            pVoice->Release();
            pVoice = NULL;
        }

        CoUninitialize();
    }
}
